Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
MT Struct Reference

## Data Fields
unsigned int | state [N]
unsigned int * | next
int | left

## Detailed Description

Definition at line 102 of file random.c.

## Field Documentation

int MT::left

Definition at line 106 of file random.c.

Referenced by genrand_int32(), init_genrand(), next_state(), random_copy(), random_dump(), random_equal(), random_left(), random_load(), and random_s_left().

unsigned int* MT::next

Definition at line 105 of file random.c.

Referenced by genrand_int32(), init_genrand(), next_state(), random_copy(), random_equal(), and random_load().

unsigned int MT::state[N]

Definition at line 104 of file random.c.

Referenced by init_by_array(), init_genrand(), mt_state(), next_state(), random_copy(), random_equal(), and random_load().

The documentation for this struct was generated from the following file:

- random.c